﻿using System;
using GrapeCity.Documents.Word;
using System.Diagnostics;
using System.IO;

namespace ModifyWordDocuments
{
    class Program
    {
        static void Main(string[] args)
        {
            GcWordDocument doc = new GcWordDocument();
            doc.Load(@"ImportanceOfWetlands.docx");

            //create header with logo on left
            Paragraph p = doc.Body.Sections.First.Headers[HeaderFooterType.Primary].Body.Paragraphs.Add();
            p.Style = doc.Styles[BuiltInStyleId.Header];

            RunCollection runs = p.GetRange().Runs;
            byte[] bytes = File.ReadAllBytes(@"acme.png");
            Picture pic = runs.Add().GetRange().Pictures.Add(bytes, "image/png");
            pic.Size.Width.Value = 76.05f;
            pic.Size.Height.Value = 19.45f;

            //Add text of company name at right of the header
            runs.Add().GetRange().Texts.Add("\t\tAcme Inc.");

            // insert a picture into the body after 5th paragraph
            p = doc.Body.Paragraphs[4].GetRange().Paragraphs.Insert(InsertLocation.After);
            p.Style = doc.Styles["par style 1"];
            bytes = File.ReadAllBytes(@"birds.png");
            pic = p.GetRange().Runs.Add().GetRange().Pictures.Add(bytes, "image/png");
            pic.Size.Width.Value = 381.85f;
            pic.Size.Height.Value = 217.2f;

            doc.Save(@"ImportanceOfWetlands.docx");

            //Open the document
            ProcessStartInfo psi = new ProcessStartInfo() { FileName = "ImportanceOfWetlands.docx", UseShellExecute = true };
            Process.Start(psi);
        }
    }
}
